KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Erstellt den Zwischenspeicher für die Systemeinstellung neu.

SYNOPSIS

kbuildsycoca4 [--nosignal | --noincremental | --checkstamps | --nocheckfiles | --global | --menutest | --track menu-id | --help | --help-qt | --help-kde | --help-all | --author | -v, --version | --license]

BESCHREIBUNG

kbuildsycoca4 stellt als Teil der KDE Befehlszeilenwerkzeuge das korrekte Funktionieren von KDE sicher, indem es alle .desktop, .directory, .xml und .protocol einliest und zu einer Datenbank verknüpft.

KDE greift zur Laufzeit auf diese Datenbank zu, um Konfigurationsdaten für die laufenden Programme bereitzustellen.

Dieses Werkzeug gehört zu ksycoca4. Dieser Name steht für KDE System Configuration Cache (KDE Zwischenspeicher für Systemkonfigurationsdaten).

OPTIONEN

--nosignal
    Anwendungen nicht über Aktualisierungen benachrichtigen

--noincremental
    Inkrementelle Aktualisierung deaktivieren, alles neu einlesen

--checkstamps
    Datei-Änderungszeiten überprüfen

--nocheckfiles
    Dateiprüfung abschalten (gefährlich)

--global
    Globale Datenbank erstellen

--menutest
    Nur Test für Menü-Erstellung ausführen

--track menu-id
    Menü-Kennung (ID) für Fehlersuche zurückverfolgen

--help
    Hilfe zu verfügbaren Optionen anzeigen.

--help-qt
    Spezielle Optionen für Qt anzeigen

--help-kde
    Spezielle Optionen für KDE anzeigen

--help-all
    Alle Optionen anzeigen

--author
    Zeigt Informationen über den Autor.

-v , --version
    Versionsinformation anzeigen

--license
    Lizenz-Informationen anzeigen

BENUTZUNG

Der normale Weg, das Programm aufzurufen, sieht wie folgt aus: kbuildsycoca4

DATEIEN

/var/tmp/kde-$USER/ksycoca4
    Der Standardordner für die Zwischenspeicherdateien.

UMGEBUNGSVARIABLEN

$KDEDIRS
    Gibt an, welche Ordner Teil der KDE-Installation sind.

$KDESYCOCA
    Gibt den Pfad zur Sycoca-Datenbankdatei an

SIEHE AUCH

kdeinit4

FEHLER

Berichten Sie Fehler auf bugs.kde.org: http://bugs.kde.org.

AUTHOR
Darian Lanx <content@openprojects.net>.